Subject: Re: bug#40151: 28.0.50; Remove Date header from message-draft-headers

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 20 Mar 2020 10:31:19 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> It was noted on gnus.general that it's weird to have the Date header as
>> part of the default value of `message-draft-headers'. Having it in there
>> means that a Date header is generated (and fixed) when a message is
>> first saved or delayed, not when it is sent. In the case of delayed
>> messages, in particular, it's weird that the eventually-sent message can
>> have a Date header days or weeks in the past.
>>
>> Is there any interest in changing the default value?
>
> Sure; makes sense to me.
>
> Perhaps it should be documented in the "postpone" command(s), too.

You mean in the `gnus-delay-article' docstring? I didn't see anything
apropos of "postpone".